#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "say2.h"

static void
usage (const char *argv0)
{
        printf ("usage: %s [--cflags|--libs|--version]\n", argv0);
        exit (1);
}

int
main (int argc, char **argv)
{
        if (argc < 2) {
                usage (argv[0]);
        }

        if (strcasecmp (argv[1], "--cflags") == 0) {
                printf ("-I%s %s\n", SAY2_INCLUDE_DIR, SAY2_CFLAGS);
                exit (0);
        }
        if (strcasecmp (argv[1], "--libs") == 0) {
                printf ("-L%s -lsay2 %s\n", SAY2_LIB_DIR, SAY2_LIBS);
                exit (0);
        }
        if (strcasecmp (argv[1], "--version") == 0) {
                printf ("libsay2 %d.%d.%d\n", SAY2_VERSION_MAJOR, SAY2_VERSION_MINOR, SAY2_VERSION_MICRO);
                exit (0);
        }

        usage (argv[0]);
        return 0;
}

        
